org.apache.calcite.avatica.remote

## Class AvaticaRemoteConnectionConfigImpl

- java.lang.Object
- - org.apache.calcite.avatica.ConnectionConfigImpl
  - - org.apache.calcite.avatica.remote.AvaticaRemoteConnectionConfigImpl

All Implemented Interfaces:
  ConnectionConfig

    public class AvaticaRemoteConnectionConfigImpl
    extends ConnectionConfigImpl

Implementation of `ConnectionConfig` with extra properties specific to Remote Driver.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`ConnectionConfigImpl.Converter<T>, ConnectionConfigImpl.PropEnv`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`BOOLEAN_CONVERTER, IDENTITY_CONVERTER, NUMBER_CONVERTER, properties`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaRemoteConnectionConfigImpl(Properties properties)`

### Method Summary

Methods
`Service.Factory` `factory()`

### Methods inherited from class org.apache.calcite.avatica.ConnectionConfigImpl

`authentication, avaticaPassword, avaticaUser, enumConverter, httpClientClass, httpClientFactory, kerberosKeytab, kerberosPrincipal, parse, pluginConverter, schema, serialization, timeZone, url`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvaticaRemoteConnectionConfigImpl

    public AvaticaRemoteConnectionConfigImpl(Properties properties)

### Method Detail

#### factory

    public Service.Factory factory()

Specified by:
  `factory` in interface `ConnectionConfig`
Overrides:
  `factory` in class `ConnectionConfigImpl`
See Also:
  `BuiltInConnectionProperty.FACTORY`